class OrderHeadersController < ApplicationController
  before_action :set_order_header, only: [:show, :edit, :update, :destroy]

  # GET /order_headers
  def index
    @order_headers = OrderHeader.all
  end

  # GET /order_headers/1
  def show
  end

  # GET /order_headers/new
  def new
    @order_header = OrderHeader.new

    3.times { @order_header.order_lines.build }
  end

  # GET /order_headers/1/edit
  def edit
  end

  # POST /order_headers
  def create
    @order_header = OrderHeader.new(order_header_params)

    if @order_header.save
      redirect_to @order_header, notice: 'Order header was successfully created.'
    else
      render action: 'new'
    end
  end

  # PATCH/PUT /order_headers/1
  def update
    if @order_header.update(order_header_params)
      redirect_to @order_header, notice: 'Order header was successfully updated.'
    else
      render action: 'edit'
    end
  end

  # DELETE /order_headers/1
  def destroy
    @order_header.destroy
    redirect_to order_headers_url, notice: 'Order header was successfully destroyed.'
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_order_header
      @order_header = OrderHeader.find(params[:id])
    end

    # Only allow a trusted parameter "white list" through.
    def order_header_params
      params.require(:order_header).permit(:order_number, :customer_name, :order_date, :bill_to_customer_id,
                                           :bill_to_address, :bill_to_contact, :order_type_id,
                                           order_lines_attributes: [:id, :item_name, :quantity, :price, :_destroy])
    end
end
