class OrderHeader < ActiveRecord::Base
  has_many :order_lines
  belongs_to :order_type
  accepts_nested_attributes_for :order_lines, allow_destroy: true,
                                reject_if: proc { |attributes| attributes[:item_name].blank? }

  validates :order_number, presence: true, uniqueness: true
  validates :customer_name, presence: true
end
